-- Load Libraries
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")

-- Defense Stats
local Dmg_Reduction_Frame = ldb:NewDataObject("SN - Dmg Reduction", {type = "data source", label = "Dmg Reduction", text = "", icon = "Interface\\Icons\\achievement_arena_2v2_7"})
local Crit_Reduction_Frame = ldb:NewDataObject("SN - Crit Reduction", {type = "data source", label = "Crit Reduction", text = "", icon = "Interface\\Icons\\achievement_arena_3v3_7"})
local Total_Resilience_Frame = ldb:NewDataObject("SN - Total Resilience", {type = "data source", label = "Total Resilience", text = "", icon = "Interface\\Icons\\achievement_arena_5v5_5"})

-- Defense Frames
local Dmg_Reduction = CreateFrame("frame")
local Crit_Reduction = CreateFrame("frame")
local Total_Resilience = CreateFrame("frame")

-- Data Input
Dmg_Reduction:SetScript("OnUpdate", function(self, elap)
	local PvPDmg = GetCombatRatingBonus("17")
	local PvPDmg2 = (PvPDmg * 2)
	Dmg_Reduction_Frame.text = string.format("-%.2f%%", PvPDmg2)
end)

Crit_Reduction:SetScript("OnUpdate", function(self, elap)
	local PvPCrit = GetCombatRatingBonus("17")
	Crit_Reduction_Frame.text = string.format("-%.2f%%", PvPCrit)
end)

Total_Resilience:SetScript("OnUpdate", function(self, elap)
	local Total_Resil = GetCombatRating("17")
	Total_Resilience_Frame.text = Total_Resil
end)